%global         pypi_name      healpy

Name:           python-healpy
Version:        1.10.3
Release:        %mkrel 1
Summary:        Healpix tools package for Python
License:        GPLv2
Group:          Development/Python

URL:            https://pypi.python.org/pypi/healpy
Source0:        https://pypi.python.org/packages/source/h/healpy/healpy-%{version}.tar.gz
 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(healpix_cxx)
BuildRequires:  python-astropy
BuildRequires:  python-matplotlib
BuildRequires:  pkgconfig(pkg-config)

Conflicts:      python-healpix
Obsoletes:      python-healpix <= 3.11
Provides:       healpy = %{version}-%{release}

%description
Healpy provides a python package to manipulate Healpix maps. It is
based on the standard numeric and visualization tools for Python,
Numpy.


%package -n python3-healpy
Summary:        Python3 implementation of Healpy
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-astropy
BuildRequires:  python3-matplotlib

%description -n python3-healpy
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install



%files
%doc cfitsio/README
%doc cfitsio/README.*
%doc cfitsio/License.txt
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-healpy
%doc cfitsio/README
%doc cfitsio/README.*
%doc cfitsio/License.txt
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon May 29 2017 eatdirt <eatdirt> 1.10.3-1.mga6
+ Revision: 1105494
- Update to version 1.10.3

* Thu Dec 01 2016 eatdirt <eatdirt> 1.10.1-1.mga6
+ Revision: 1071458
- Upgrade to version 1.10.1

* Fri Mar 11 2016 eatdirt <eatdirt> 1.9.1-1.mga6
+ Revision: 989260
- Upgrade to version 1.9.1

* Fri Feb 19 2016 umeabot <umeabot> 1.9.0-2.mga6
+ Revision: 970723
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 1.9.0-1.mga6
+ Revision: 888046
- Upgrade to version 1.9.0, add python3 modules

* Fri Dec 05 2014 eatdirt <eatdirt> 1.8.1-1.mga5
+ Revision: 801612
- Upgrade to version 1.8.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-5.mga5
+ Revision: 741078
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-4.mga5
+ Revision: 728731
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-3.mga5
+ Revision: 688078
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Feb 25 2014 eatdirt <eatdirt> 1.7.3-1.mga5
+ Revision: 597206
- Upgrade to version 1.7.3, fix conflicts with obsoleted python-healpix

* Tue Oct 22 2013 umeabot <umeabot> 1.6.2-6.mga4
+ Revision: 543439
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.2-5.mga4
+ Revision: 498717
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 1.6.2-4.mga4
+ Revision: 459750
- reset pythonegg to use astropy

* Sun Jul 28 2013 joequant <joequant> 1.6.2-3.mga4
+ Revision: 459350
- change to python-astropy

* Sat Jul 27 2013 joequant <joequant> 1.6.2-2.mga4
+ Revision: 459032
- remove pyfits dependency

* Thu Jul 25 2013 joequant <joequant> 1.6.2-1.mga4
+ Revision: 458005
- add setuptools
- imported package python-healpy

